Bug 46361 - HDGF: Remove or replace chunks_parse_cmds.tbl
Summary: HDGF: Remove or replace chunks_parse_cmds.tbl
Status: VERIFIED FIXED
Alias: None
Product: POI
Classification: Unclassified
Component: HDF (show other bugs)
Version: 3.5-dev
Hardware: All All
: P1 blocker (vote)
Target Milestone: ---
Assignee: POI Developers List
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2008-12-07 09:10 UTC by Jukka Zitting
Modified: 2009-01-08 03:15 UTC (History)
0 users



Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Jukka Zitting 2008-12-07 09:10:48 UTC
The chunks_parse_cmds.tbl file in HDGF is licensed under the GPLv3 and thus
we only have the right to use it the work based on the file is published under
the same license. Apache policies prohibit that, so the file should be
removed or replaced somehow unless we can get the original author to grant us
an alternative license.
Comment 1 Nick Burch 2008-12-08 04:38:01 UTC
This is being sent over to legal-discuss for further review
Comment 2 David Fisher 2008-12-29 19:34:57 UTC
Nick reports that the author of the file, Valek, released an ASF licensed version of the file in question. He will update svn when he next returns to his main development machine.
Comment 3 Nick Burch 2008-12-31 10:21:29 UTC
The newly dual licensed version has now been committed to svn, and the legal notice updated to remove the gplv3 bit
Comment 4 Jukka Zitting 2009-01-08 03:15:47 UTC
Excellent, thanks!